package org.jeecg.modules.app.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.app.dto.GetPlaceListDTO;
import org.jeecg.modules.app.vo.AppBannerVO;
import org.jeecg.modules.app.vo.HomeVO;
import org.jeecg.modules.app.vo.PlaceVO;

public interface IAppHomeService {

    /**
     * @Author SheepHy
     * @Description 首页基础数据查询
     * @Date 11:01 2025/7/2
     * @return {@link AppBannerVO}
     **/
    HomeVO homeInfo();

    /**
     * @Author SheepHy
     * @Description 场地列表查询
     * @Date 10:37 2025/7/4
     * @Param
     * @return
     **/
    Page<PlaceVO> getPlaceList(GetPlaceListDTO getPlaceListDTO);
}
